## Tcl8.5.14/Tk8.5.14 Documentation > TkCmd > ttk_sizegrip

### Tcl/Tk Applications | Tcl Commands | Tk Commands | Tcl Library | Tk Library

  NAME
    ttk::sizegrip - Bottom-right corner resize widget
  SYNOPSIS
  DESCRIPTION
  STANDARD OPTIONS
    -class, undefined, undefined
    -cursor, cursor, Cursor
    -state, state, State
    -style, style, Style
    -takefocus, takeFocus, TakeFocus
  WIDGET COMMAND
  PLATFORM-SPECIFIC NOTES
  EXAMPLES
  BUGS
  SEE ALSO
  KEYWORDS

### NAME

ttk::sizegrip - Bottom-right corner resize widget

### SYNOPSIS

ttk::sizegrip pathName ?options?

### DESCRIPTION

A ttk::sizegrip widget (also known as a grow box) allows the user to resize the containing toplevel window by pressing and dragging the grip.

### STANDARD OPTIONS

-class, undefined, undefined
-cursor, cursor, Cursor
-state, state, State
-style, style, Style
-takefocus, takeFocus, TakeFocus

### WIDGET COMMAND

Sizegrip widgets support the standard cget, configure, identify, instate, and state methods. No other widget methods are used.

### PLATFORM-SPECIFIC NOTES

On Mac OSX, toplevel windows automatically include a built-in size grip by default. Adding a ttk::sizegrip there is harmless, since the built-in grip will just mask the widget.

### EXAMPLES

Using pack:

    pack [ttk::frame $top.statusbar] -side bottom -fill x
    pack [ttk::sizegrip $top.statusbar.grip] -side right -anchor se

Using grid:

    grid [ttk::sizegrip $top.statusbar.grip] \
        -row $lastRow -column $lastColumn -sticky se
    # ... optional: add vertical scrollbar in $lastColumn,
    # ... optional: add horizontal scrollbar in $lastRow

### BUGS

If the containing toplevel's position was specified relative to the right or bottom of the screen (e.g., “wm geometry ... w x h-x-y” instead of “wm geometry ... w x h+x+y”), the sizegrip widget will not resize the window.

ttk::sizegrip widgets only support “southeast” resizing.

### SEE ALSO

ttk::widget

### KEYWORDS

widget, sizegrip, grow box
Copyright © 1995-1997 Roger E. Critchlow Jr. Copyright © 2006 Joe English